
Calculate Linux - Bug # 538: cl-install Ð½Ðµ Ð¼Ð¾Ð¶ÐµÑ‚ ÑƒÑ•Ñ‚Ð°Ð½Ð¾Ð²Ð¸Ñ‚ÑŒ Ñ•Ð¸Ñ•Ñ‚ÐµÐ¼Ñƒ (remountNTFS)

Status: Closed Priority: Normal

Author: castor sky Category: Calculate Utilities

Created: 12/18/2012 Assignee:
Subject: cl-install Ð½Ðµ Ð¼Ð¾Ð¶ÐµÑ‚ ÑƒÑ•Ñ‚Ð°Ð½Ð¾Ð²Ð¸Ñ‚ÑŒ Ñ•Ð¸Ñ•Ñ‚ÐµÐ¼Ñƒ (remountNTFS)

Description: ÐŸÑ€Ð¸ ÑƒÑ•Ñ‚Ð°Ð½Ð¾Ð²ÐºÐµ Ð½Ð° Ð´Ð¾Ð¼Ð°ÑˆÐ½ÐµÐ¼ ÐºÐ¾Ð¼Ð¿ÑŒÑŽÑ‚ÐµÑ€Ðµ 

ÐºÐ¾Ð¿Ð¸Ð¸ CLDX Ñ• Ð´Ð¸Ñ•ÐºÐ° cldx-20121214-i686.iso <code>cl-install</code> Ð²Ñ‹Ð´Ð°ÐµÑ‚ 

Ð¾ÑˆÐ¸Ð±ÐºÑƒ

<pre>

Ð—Ð°Ð¿ÑƒÑ•Ñ‚Ð¸Ñ‚ÑŒ Ð¿Ñ€Ð¾Ñ†ÐµÑ•Ñ•? (yes/no): yes

 * Formatting the partitions

[===================================================================================

=========>]100% Time: 00:00:02

 * Unpacking the system image to the target

[===================================================================================

=========>]100% Time: 00:00:24

 * Copying clt templates to the new system

 * Copying configuration files to the new system

 * Creating a new initrd file

Traceback (most recent call last):

  File "/usr/lib/python2.7/site-packages/calculate/core/server/func.py", line 106, in tmp

    res = f(self,*args,**kwargs)

  File "/usr/lib/python2.7/site-packages/calculate/install/cl_install.py", line 769, in installSystem

    self.afterCopyHDDinstall(self.targetDistr)

  File "/usr/lib/python2.7/site-packages/calculate/install/cl_install.py", line 604, in afterCopyHDDinstall

    self.remountNTFS()

  File "/usr/lib/python2.7/site-packages/calculate/install/cl_install.py", line 805, in remountNTFS

    mountDir = self._getFreeDirectory('/var/lib/calculate/mount.test')

  File "/usr/lib/python2.7/site-packages/calculate/install/cl_install.py", line 796, in _getFreeDirectory

    newDirectoryName = "%s.%s"%(directory,self.rndString())

AttributeError: 'CommonCore' object has no attribute 'rndString'

 * AttributeError:'CommonCore' object has no attribute 'rndString'(calculate.install.cl_install:796)

 * Unmounting the target system volume

 * Failed to install the system!

</pre>

Ð•Ð° Ð¶ÐµÑ•Ñ‚ÐºÐ¾Ð¼ Ð´Ð¸Ñ•ÐºÐµ Ñ•Ñ€ÐµÐ´Ð¸ Ñ€Ð°Ð·Ð´ÐµÐ»Ð¾Ð² ÐµÑ•Ñ‚ÑŒ Ð´Ð²Ðµ ÑˆÑ‚ÑƒÐºÐ¸ 

Ñ• NTFS. ÐŸÐ¾Ð´Ð¾Ð·Ñ€ÐµÐ²Ð°ÑŽ, Ñ‡Ñ‚Ð¾ Ð´ÐµÐ»Ð¾ Ð² Ð½Ð¸Ñ…, Ð¿Ð¾Ñ‚Ð¾Ð¼Ñƒ Ñ‡Ñ‚Ð¾ 

Ð½Ð° Ñ€Ð°Ð±Ð¾Ñ‚Ðµ Ñ•Ð¸Ñ•Ñ‚ÐµÐ¼Ð° ÑƒÑ•Ñ‚Ð°Ð½Ð¾Ð²Ð¸Ð»Ð°Ñ•ÑŒ Ñ• Ñ•Ñ‚Ð¾Ð³Ð¾ Ð¶Ðµ 

Ð½Ð¾Ñ•Ð¸Ñ‚ÐµÐ»Ñ• Ð½Ð¾Ñ€Ð¼Ð°Ð»ÑŒÐ½Ð¾ (Ñ‚Ð°Ð¼ Ð½ÐµÑ‚ Ñ€Ð°Ð·Ð´ÐµÐ»Ð¾Ð² NTFS).

History

12/20/2012 03:27 pm - Mikhail Hiretsky

ÐŸÐ¾Ð¿Ñ€Ð¾Ð±ÑƒÐ¹Ñ‚Ðµ Ð¿ÐµÑ€ÐµÐ´ ÑƒÑ•Ñ‚Ð°Ð½Ð¾Ð²ÐºÐ¾Ð¹ Ð¾Ð±Ð½Ð¾Ð²Ð¸Ñ‚ÑŒ @calculate-install@.

12/22/2012 10:33 am - castor sky

Mikhail Hiretsky wrote:

> ÐŸÐ¾Ð¿Ñ€Ð¾Ð±ÑƒÐ¹Ñ‚Ðµ Ð¿ÐµÑ€ÐµÐ´ ÑƒÑ•Ñ‚Ð°Ð½Ð¾Ð²ÐºÐ¾Ð¹ Ð¾Ð±Ð½Ð¾Ð²Ð¸Ñ‚ÑŒ @calculate-install@.



ÐŸÐ¾Ñ•Ð»Ðµ Ð¾Ð±Ð½Ð¾Ð²Ð»ÐµÐ½Ð¸Ñ• @calculate-utilities@ Ñ•Ð¸Ñ•Ñ‚ÐµÐ¼Ð° ÑƒÑ•Ñ‚Ð°Ð½Ð¾Ð²Ð¸Ð»Ð°Ñ•ÑŒ.

Ð’ Ð¿Ñ€Ð¾Ñ†ÐµÑ•Ñ•Ðµ Ð±Ñ‹Ð»Ð¸ Ð¿Ñ€ÐµÐ´ÑƒÐ¿Ñ€ÐµÐ¶Ð´ÐµÐ½Ð¸Ñ•:

<pre>
 * Unable umount /var/lib/calculate/mount.test.gujxHFBh

 * Unable remove directory /var/lib/calculate/mount.test.gujxHFBh

 * Unable umount /var/lib/calculate/mount.test.fEyip2rA

 * Unable remove directory /var/lib/calculate/mount.test.fEyip2rA

</pre>

12/28/2012 10:05 am - Mikhail Hiretsky

- Status changed from New to Closed
